Package org.eclipse.net4j.util.ui.views

# Class RowIntrospectionProvider.Row

java.lang.Object
org.eclipse.net4j.util.ui.views.IntrospectionProvider.NameAndValue
org.eclipse.net4j.util.ui.views.RowIntrospectionProvider.Row

Enclosing class:
  `RowIntrospectionProvider`

public static final class RowIntrospectionProvider.Row extends IntrospectionProvider.NameAndValue

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`Row(String name, Object value, String declaredType, String concreteType)`
`Row(String name, Object value, String declaredType, String concreteType, int category, Color foreground, Color background)`

## Method Summary

Modifier and Type
Method
Description
`Color`
`getBackground()`
`int`
`getCategory()`
`String`
`getColumn(int index)`
`String`
`getConcreteType()`
`String`
`getDeclaredType()`
`Color`
`getForeground()`

### Methods inherited from class org.eclipse.net4j.util.ui.views.IntrospectionProvider.NameAndValue

`equals, getName, getValue, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Row

public Row(String name, Object value, String declaredType, String concreteType, int category, Color foreground, Color background)

### Row

public Row(String name, Object value, String declaredType, String concreteType)

## Method Details

### getDeclaredType

public String getDeclaredType()

### getConcreteType

public String getConcreteType()

### getCategory

public int getCategory()

### getForeground

public Color getForeground()

### getBackground

public Color getBackground()

### getColumn

public String getColumn(int index)